gnutls_openpgp_key_to_xml(3)

NAME
gnutls_openpgp_key_to_xml

SYNOPSIS
#include <gnutls/openpgp.h>

int gnutls_openpgp_key_to_xml(gnutls_openpgp_key_t key, gnutls_datum_t * xmlkey, int ext);

ARGUMENTS

gnutls_openpgp_key_t key

gnutls_datum_t * xmlkey
    he datum struct to store the XML result.

int ext
    extension mode (1/0), 1 means include key signatures and key data.

DESCRIPTION
This function will return the all OpenPGP key information encapsulated as a XML string.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.